Page MenuHomePhabricator

Index wikidata descriptions
Closed, ResolvedPublic

Description

Enable indexing of Wikibase descriptions in wikidata ElasticSearch index.

This probably requires figuring out how to apply language-specific analyzers to specific description fields.

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMove most of the config building to CirrusSearch
mediawiki/extensions/CirrusSearch : masterPort per-language indexing code from Wikibase to CirrusSearch
operations/mediawiki-config : masterAdd stemming languages settings for description indexing
mediawiki/extensions/Wikibase : masterIndex descriptions for Wikibase entites

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
ResolvedSmalyshev
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2017, 7:20 PM

Change 381068 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] [WIP] Index descriptions for Wikibase

https://gerrit.wikimedia.org/r/381068

Probably makes sense to use results of T147959 (once it is done) since now fallbacks don't make much sense and also using them turns out to be rather slow with all 427 languages supported.

debt triaged this task as Normal priority.Oct 3 2017, 5:35 PM

Change 392894 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Add stemming languages settings for description indexing

https://gerrit.wikimedia.org/r/392894

Change 381068 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Index descriptions for Wikibase entites

https://gerrit.wikimedia.org/r/381068

Change 392894 merged by jenkins-bot:
[operations/mediawiki-config@master] Add stemming languages settings for description indexing

https://gerrit.wikimedia.org/r/392894

Mentioned in SAL (#wikimedia-operations) [2017-11-27T19:21:09Z] <catrope@tin> Synchronized wmf-config/Wikibase.php: T176903 (duration: 00m 45s)

Change 393689 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] [WIP] Port per-language indexing code from Wikibase to CirrusSearch

https://gerrit.wikimedia.org/r/393689

Change 393690 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] [WIP] Move most of the config building to CirrusSearch

https://gerrit.wikimedia.org/r/393690

thiemowmde updated the task description. (Show Details)Nov 28 2017, 10:23 AM

Change 393689 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Port per-language indexing code from Wikibase to CirrusSearch

https://gerrit.wikimedia.org/r/393689

Change 393690 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move most of the config building to CirrusSearch

https://gerrit.wikimedia.org/r/393690

Smalyshev closed this task as Resolved.Nov 29 2017, 12:46 AM